Subject: Re: linux-next: manual merge of the aio tree with the vfs tree

From: Al Viro <[email-masked]>
Date: Tue, 15 Mar 2016 05:19:39 +0000

On Tue, Mar 15, 2016 at 05:07:12AM +0000, Al Viro wrote:

> There *is* a reason for code review.  Or, at least, asking somebody familiar
> with the code you are working with whether some assumption you are making
> is true or false.  Me, for example, in our conversation regarding earlier parts
> of aio.git queue about a week ago.  Or at any other point.

While we are at it, 150a0b49 ("aio: add support for async openat()") is also
crap.  fs_struct and files_struct is nowhere near enough.  And yes, I realize
that your application probably doesn't step into it.  Which means that these
patches are just fine for your private kernel.  _Not_ for mainline.

Reviewed-and-NAKed-by: Al Viro <[email-masked]>